/*
 * sample.storage.JavaCOMObject.java
 * 
 * (C) Copyright 1995 - 1999 Microsoft Corporation.  All rights reserved.
 * 
 */
package sample.storage;

import java.io.Serializable;
/**
 * This is a VERY simple class that will be used as a COM object to 
 * illustrate the default implementation of IPersist, IPersistStreamInit, and 
 * IPersistStorage when the Java implemented COM object implements the 
 * java.io.Serializable interface.  Exactly the same behaviour is expected 
 * with the java.io.Externalizable interface.
 * 
 * @version 1.0
 */
public class JavaCOMObject implements Serializable{
	private String string = "This is a String field value";
	private int integer = 99;
	private byte b = 0xa;
	private long l= 99L;
	private char euro = '\u20ac';
	private boolean boo = true;
	private float f = .1F;
	private double d = 1.324545;
	private short s = 8;
}
