/*
 *
 * sample.server.Pinger.java
 *
 * (C) Copyright 1995 - 1999 Microsoft Corporation.  All rights reserved.
 *
 */
package sample.server;

/**
 * Simple COM object that will be served.  As it does not implement any Custom
 * interfaces, it will be interacted with through its IDispatch interface - 
 * provided by the Java VM's COM Callable Wrapper (CCW).
 * 
 * @version 1.0
 */
public class Pinger implements com.ms.com.IUnknown{//,com.ms.com.NoAutoMarshaling{
    /**
     * Count of the number of times that this objects ping() method has been 
     * called.
     */
	protected int pingCount =0;
    /**
     * CLSID for this COM object
     */
    public static com.ms.com._Guid CLSID_Pinger =
              new com.ms.com._Guid("{BA009432-272A-11d2-B906-00C04F8C9491}");
/**
 * Returns the Thread that this COM object is running on.
 * 
 * @return String - contains the count, and threadinfo for this COM object.
 */
	public String ping(){
		String t = (++pingCount)+":"+com.ms.win32.Kernel32.GetCurrentThreadId()+
				   " "+Thread.currentThread();
		return t;	
	}
}//end of Pinger