// utils.hpp
//
// Created 01/18/99
//
// (C) Copyright 1995 - 1999 Microsoft Corporation.  All rights reserved.
//

#ifndef __UTILS_HPP__
#define __UTILS_HPP__

#include <jevmon.h>


BOOL match (PSTR pattern, PSTR s);


PCSTR StringForExecutionModel (JAVA_EXECUTION_MODEL exec);


BOOL GrowPtrArray (PVOID **prgpArray, ULONG *pCount, ULONG nNeeded);

inline
BOOL GrowStringArray (PSTR **prgpArray, ULONG *pCount)
{
    return GrowPtrArray((PVOID**)prgpArray, pCount, 1);
}


inline
ULONG InterlockedIncrement (ULONG *pul)
{
    return (ULONG)InterlockedIncrement((LONG*)pul);
}

inline
ULONG InterlockedDecrement (ULONG *pul)
{
    return (ULONG)InterlockedDecrement((LONG*)pul);
}

VOID __stdcall InterlockedAdd (__int64 *pqwDest, __int64 qwAdd);


// Converts the given Utf8 format string to Ansi format for the current
// codepage.  If the given string is already in Ansi format, return TRUE with
// *ppszAnsi == NULL.
BOOL Utf8ToAnsi (PCSTR pcszUtf8, PSTR *ppszAnsi);


#endif /* __UTILS_HPP__ */

