/*
 *
 * sample.viewer.ENLINK.java
 *
 * (C) Copyright 1995 - 1999 Microsoft Corporation.  All rights reserved.
 *
*/
package sample.viewer;
/**
 * Wrapper for the C Structure ENLINK that is used by the RichEdit 2.0 control for 
 * specifying hyperlinks, and for receiving event notifications.
 *  
 * @version 1.0a
 * 
 * @dll.struct(auto)
 */
public class ENLINK{
	/**
	 * A NMHDR structure. The code member of this structure identifies the notification
	 * message being sent. 
	 */
	public com.ms.win32.NMHDR nmhdr;
	/**
	 * Identifier of the message that caused the rich edit control to send the EN_LINK
	 * notification message. 
	 */
	public int msgID;
	/**
	 * The wParam parameter of the message received by the rich edit control. 
	 */
	public int wParam;
	/**
	 * The lParam parameter of the message received by the rich edit control. 
	 */
	public int lParam;
	/**
	 * A CHARRANGE structure that specifies the range of consecutive characters in the
	 * rich edit control that have the CFE_LINK effect. 
	 */
	public com.ms.win32.CHARRANGE range;
}