# ----------------------------------------------------------------------------
# Standard Microsoft SDK for CPP makefile
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Tools and switches
# ----------------------------------------------------------------------------

CPP=cl.exe
CPP_SWITCHS=/c /MLd /W3 /GX /Zi /DWIN32 /D_WINDOWS /Fo"$(OUTDIR)\\"
LINK=link.exe

# ----------------------------------------------------------------------------
# Set destination directory.
# ----------------------------------------------------------------------------

OUTDIR=.\Debug

# ----------------------------------------------------------------------------
# Set Obj and Lib files.
# ----------------------------------------------------------------------------

OBJS=$(OUTDIR)\oleapt.obj
LIBS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
	advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib\
	odbccp32.lib /subsystem:windows /incremental:no	/machine:I386\
	/out:"$(OUTDIR)\COMApartment.exe" 

# ----------------------------------------------------------------------------
# Build the sample.
# ----------------------------------------------------------------------------

all: $(OUTDIR) $(OUTDIR)\COMApartment.exe

$(OUTDIR)\COMApartment.exe : $(OBJS)
	$(LINK)  @<<
	$(OBJS) $(LIBS)
<<

$(OUTDIR)\oleapt.obj : oleapt.cpp
	$(CPP) $(CPP_SWITCHS) oleapt.cpp

"$(OUTDIR)" :
	if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"