/*++

Copyright (c) 1999  Microsoft Corporation

Module Name:

    util.h

Abstract:

    utility methods and macros.

--*/

#ifndef __DLLSTUB_UTIL_H
#define __DLLSTUB_UTIL_H

#ifdef DEBUG
#include <assert.h>
#endif


VOID    GUID2StringA(REFGUID rguid, LPSTR lpsz);
VOID    AnsiTranslateChars(LPSTR psz,CHAR chFrom,CHAR chTo);


#define ARRAY_ELEMENTS(rg)  (sizeof(rg) / sizeof((rg)[0]))

#ifndef IS_INTRESOURCE
#define IS_INTRESOURCE(_r)  (((ULONG_PTR)(_r) >> 16) == 0)
#endif

#ifdef DEBUG
#define ASSERT( expr )  assert( expr )
#else
#define ASSERT( expr )  ((void)0)
#endif


#endif  // #ifndef __DLLSTUB_UTIL_H