// timer.hpp
//
// Created 01/19/99
//
// (C) Copyright 1995 - 1999 Microsoft Corporation.  All rights reserved.
//

#ifndef __TIMER_HPP__
#define __TIMER_HPP__


BOOL InitTimer ();


typedef __int64 PROFTIME;
typedef PROFTIME GetProfilerTimeProc ();

extern GetProfilerTimeProc *g_pfnGetProfilerTime;

#define GetProfilerTime() ((*g_pfnGetProfilerTime)())


float ConvertProfilerTimeToMS (PROFTIME time);
float ConvertProfilerTimeToUS (PROFTIME time);


#endif /* __TIMER_HPP__ */

